<?php

/**
 * @file
 * Shadow theme functions for theme templates.
 *
 * The API module is currently being updated to allow template files to be
 * included in the themeable group.
 *   - Patch API module to allow "ingroup" in "file" docblocks. [#559166]
 *   - Deploy updated API module, API 6.x-1.3.
 *   - Add "themeable" to file docblocks of all templates. [#716496]
 *   - Backport [#716496] to Drupal 6.
 *
 * When this process has been completed, this theme.php file should be removed
 * from CVS.
 */

/**
 * @ingroup themeable
 * @{
 */

/**
 * Implemented using the aggregator-feed-source.tpl.php template.
 *
 * @see aggregator-feed-source.tpl.php
 */
function theme_aggregator_feed_source() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the aggregator-item.tpl.php template.
 *
 * @see aggregator-item.tpl.php
 */
function theme_aggregator_item() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the aggregator-summary-item.tpl.php template.
 *
 * @see aggregator-summary-item.tpl.php
 */
function theme_aggregator_summary_item() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the aggregator-summary-items.tpl.php template.
 *
 * @see aggregator-summary-items.tpl.php
 */
function theme_aggregator_summary_items() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the aggregator-wrapper.tpl.php template.
 *
 * @see aggregator-wrapper.tpl.php
 */
function theme_aggregator_wrapper() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the block-admin-display-form.tpl.php template.
 *
 * @see block-admin-display-form.tpl.php
 */
function theme_block_admin_display_form() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the book-all-books-block.tpl.php template.
 *
 * @see book-all-books-block.tpl.php
 */
function theme_book_all_books_block() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the book-export-html.tpl.php template.
 *
 * @see book-export-html.tpl.php
 */
function theme_book_export_html() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the book-navigation.tpl.php template.
 *
 * @see book-navigation.tpl.php
 */
function theme_book_navigation() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the book-node-export-html.tpl.php template.
 *
 * @see book-node-export-html.tpl.php
 */
function theme_book_node_export_html() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the comment-folded.tpl.php template.
 *
 * @see comment-folded.tpl.php
 */
function theme_comment_folded() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the comment-wrapper.tpl.php template.
 *
 * @see comment-wrapper.tpl.php
 */
function theme_comment_wrapper() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the comment.tpl.php template.
 *
 * @see comment.tpl.php
 */
function theme_comment() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forum-icon.tpl.php template.
 *
 * @see forum-icon.tpl.php
 */
function theme_forum_icon() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forum-list.tpl.php template.
 *
 * @see forum-list.tpl.php
 */
function theme_forum_list() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forum-submitted.tpl.php template.
 *
 * @see forum-submitted.tpl.php
 */
function theme_forum_submitted() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forum-topic-list.tpl.php template.
 *
 * @see forum-topic-list.tpl.php
 */
function theme_forum_topic_list() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forum-topic-navigation.tpl.php template.
 *
 * @see forum-topic-navigation.tpl.php
 */
function theme_forum_topic_navigation() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forums.tpl.php template.
 *
 * @see forums.tpl.php
 */
function theme_forums() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the node.tpl.php template.
 *
 * @see node.tpl.php
 */
function theme_node() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-bar-block.tpl.php template.
 *
 * @see poll-bar-block.tpl.php
 */
function theme_poll_bar_block() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-bar.tpl.php template.
 *
 * @see poll-bar.tpl.php
 */
function theme_poll_bar() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-results-block.tpl.php template.
 *
 * @see poll-results-block.tpl.php
 */
function theme_poll_results_block() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-results.tpl.php template.
 *
 * @see poll-results.tpl.php
 */
function theme_poll_results() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-vote.tpl.php template.
 *
 * @see poll-vote.tpl.php
 */
function theme_poll_vote() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the profile-block.tpl.php template.
 *
 * @see profile-block.tpl.php
 */
function theme_profile_block() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the profile-listing.tpl.php template.
 *
 * @see profile-listing.tpl.php
 */
function theme_profile_listing() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the profile-wrapper.tpl.php template.
 *
 * @see profile-wrapper.tpl.php
 */
function theme_profile_wrapper() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the search-block-form.tpl.php template.
 *
 * @see search-block-form.tpl.php
 */
function theme_search_block_form() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the search-result.tpl.php template.
 *
 * @see search-result.tpl.php
 */
function theme_search_result() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the search-results.tpl.php template.
 *
 * @see search-results.tpl.php
 */
function theme_search_results() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the search-theme-form.tpl.php template.
 *
 * @see search-theme-form.tpl.php
 */
function theme_search_theme_form() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the block.tpl.php template.
 *
 * @see block.tpl.php
 */
function theme_block() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the maintenance-page.tpl.php template.
 *
 * @see maintenance-page.tpl.php
 */
function theme_maintenance_page() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the page.tpl.php template.
 *
 * @see page.tpl.php
 */
function theme_page() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the user-picture.tpl.php template.
 *
 * @see user-picture.tpl.php
 */
function theme_user_picture() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the user-profile-category.tpl.php template.
 *
 * @see user-profile-category.tpl.php
 */
function theme_user_profile_category() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the user-profile-item.tpl.php template.
 *
 * @see user-profile-item.tpl.php
 */
function theme_user_profile_item() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the user-profile.tpl.php template.
 *
 * @see user-profile.tpl.php
 */
function theme_user_profile() {
  // This function is never used; see the corresponding template file instead.
}

/**
 * @} End of "ingroup themeable".
 */
