<?php

/**
 * @file
 * Shadow theme functions for theme templates.
 *
 * The API module is currently being updated to allow template files to be
 * included in the themeable group.
 *   - Patch API module to allow "ingroup" in "file" docblocks. [#559166]
 *   - Deploy updated API module, API 6.x-1.3.
 *   - Add "themeable" to file docblocks of all templates. [#716496]
 *
 * When this process has been completed, this theme.php file should be removed
 * from CVS.
 */

/**
 * @ingroup themeable
 * @{
 */

/**
 * Implemented using the aggregator-feed-source.tpl.php template.
 *
 * @see aggregator-feed-source.tpl.php
 */
function theme_aggregator_feed_source($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the aggregator-item.tpl.php template.
 *
 * @see aggregator-item.tpl.php
 */
function theme_aggregator_item($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the aggregator-summary-item.tpl.php template.
 *
 * @see aggregator-summary-item.tpl.php
 */
function theme_aggregator_summary_item($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the aggregator-summary-items.tpl.php template.
 *
 * @see aggregator-summary-items.tpl.php
 */
function theme_aggregator_summary_items($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the aggregator-wrapper.tpl.php template.
 *
 * @see aggregator-wrapper.tpl.php
 */
function theme_aggregator_wrapper($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the block-admin-display-form.tpl.php template.
 *
 * @see block-admin-display-form.tpl.php
 */
function theme_block_admin_display_form($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the block.tpl.php template.
 *
 * @see block.tpl.php
 */
function theme_block($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the book-all-books-block.tpl.php template.
 *
 * @see book-all-books-block.tpl.php
 */
function theme_book_all_books_block($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the book-export-html.tpl.php template.
 *
 * @see book-export-html.tpl.php
 */
function theme_book_export_html($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the book-navigation.tpl.php template.
 *
 * @see book-navigation.tpl.php
 */
function theme_book_navigation($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the book-node-export-html.tpl.php template.
 *
 * @see book-node-export-html.tpl.php
 */
function theme_book_node_export_html($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the comment-wrapper.tpl.php template.
 *
 * @see comment-wrapper.tpl.php
 */
function theme_comment_wrapper($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the comment.tpl.php template.
 *
 * @see comment.tpl.php
 */
function theme_comment($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the field.tpl.php template.
 *
 * @see field.tpl.php
 */
function theme_field($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the field_ui-display-overview-table.tpl.php template.
 *
 * @see field_ui-display-overview-table.tpl.php
 */
function theme_field_ui_display_overview_table($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the field_ui-field-overview-form.tpl.php template.
 *
 * @see field_ui-field-overview-form.tpl.php
 */
function theme_field_ui_field_overview_form($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forum-icon.tpl.php template.
 *
 * @see forum-icon.tpl.php
 */
function theme_forum_icon($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forum-list.tpl.php template.
 *
 * @see forum-list.tpl.php
 */
function theme_forum_list($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forum-submitted.tpl.php template.
 *
 * @see forum-submitted.tpl.php
 */
function theme_forum_submitted($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forum-topic-list.tpl.php template.
 *
 * @see forum-topic-list.tpl.php
 */
function theme_forum_topic_list($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the forums.tpl.php template.
 *
 * @see forums.tpl.php
 */
function theme_forums($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the node.tpl.php template.
 *
 * @see node.tpl.php
 */
function theme_node($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-bar--block.tpl.php template.
 *
 * @see poll-bar--block.tpl.php
 */
function theme_poll_bar__block($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-bar.tpl.php template.
 *
 * @see poll-bar.tpl.php
 */
function theme_poll_bar($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-results--block.tpl.php template.
 *
 * @see poll-results--block.tpl.php
 */
function theme_poll_results__block($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-results.tpl.php template.
 *
 * @see poll-results.tpl.php
 */
function theme_poll_results($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the poll-vote.tpl.php template.
 *
 * @see poll-vote.tpl.php
 */
function theme_poll_vote($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the profile-block.tpl.php template.
 *
 * @see profile-block.tpl.php
 */
function theme_profile_block($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the profile-listing.tpl.php template.
 *
 * @see profile-listing.tpl.php
 */
function theme_profile_listing($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the profile-wrapper.tpl.php template.
 *
 * @see profile-wrapper.tpl.php
 */
function theme_profile_wrapper($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the search-block-form.tpl.php template.
 *
 * @see search-block-form.tpl.php
 */
function theme_search_block_form($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the search-result.tpl.php template.
 *
 * @see search-result.tpl.php
 */
function theme_search_result($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the search-results.tpl.php template.
 *
 * @see search-results.tpl.php
 */
function theme_search_results($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the html.tpl.php template.
 *
 * @see html.tpl.php
 */
function theme_html($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the maintenance-page.tpl.php template.
 *
 * @see maintenance-page.tpl.php
 */
function theme_maintenance_page($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the page.tpl.php template.
 *
 * @see page.tpl.php
 */
function theme_page($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the region.tpl.php template.
 *
 * @see region.tpl.php
 */
function theme_region($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the taxonomy-term.tpl.php template.
 *
 * @see taxonomy-term.tpl.php
 */
function theme_taxonomy_term($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the toolbar.tpl.php template.
 *
 * @see toolbar.tpl.php
 */
function theme_toolbar($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the user-picture.tpl.php template.
 *
 * @see user-picture.tpl.php
 */
function theme_user_picture($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the user-profile-category.tpl.php template.
 *
 * @see user-profile-category.tpl.php
 */
function theme_user_profile_category($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the user-profile-item.tpl.php template.
 *
 * @see user-profile-item.tpl.php
 */
function theme_user_profile_item($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * Implemented using the user-profile.tpl.php template.
 *
 * @see user-profile.tpl.php
 */
function theme_user_profile($variables) {
  // This function is never used; see the corresponding template file instead.
}

/**
 * @} End of "ingroup themeable".
 */
